@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.calendar {
    height: 50px;
    border: 1px solid $greyColor;
    border-radius: 10px;
    padding: 15px 10px 15px 20px;
    white-space: nowrap;
    & svg {
        margin-right: 5px;
        padding-bottom: 3px;
    }
}


.modalHeader {
    position: relative;
    width: 625px;
    padding: 35px 0 25px;
    margin-bottom: 25px;
    text-align: center;
    color: $greyText;
    @include font($fontGothamLight, 16px, 19.2px);
    border-bottom: 1px solid $lightBlueColor;

    & .close {
        width: 28px;
        height: 28px; 
        position: absolute;
        padding-left: 4px;
        padding-top: 3px;
        right: 12px;
        top: 12px; 
        display: flex;
        align-items: center;
        justify-content: center;
        border: 1px solid $greyColor;
        border-radius: 50%;
        text-align: center;
        cursor: pointer;

        &:hover {
          opacity: 0.7;
        }
    }

    h4 {
      @include font($fontGotham, 24px, 28.8px);
      color: $blackColor;
      margin-bottom: 10px;
    }
}

.modalBody {
    & .calendarWrapper {
        width: 525px;
        border: none;
        margin: 0 auto 50px;

        & .monthLabel {
           width: 185px;
           padding: 10px 12px;
           color: $greyText;
           border: 1px solid $greyColor;
           border-radius: 5px;
           margin-right: 5px !important;
           @include font($fontGotham, 16px, 19.2px);
        }

        & .arrow {
            width: 39px;
            height: 39px;
            text-align: center;
            padding-top: 11px;
            border-radius: 5px;
            border: 1px solid $greyColor;
        }

        & .flip {
            transform: rotate(180deg);
        }

        & .tile {
            color: $greyText;
            @include font($fontGotham, 24px, 28.8px);
            border: 1px solid $lightBlueColor;
            border-top: none;
            &:nth-child(n-1) {
              border-right: 0;
            }
            &:nth-child(7n) {
              border-right: 1px solid $lightBlueColor;
            }
        }
    }
}
